/**
 * Theme functions file.
 */
(function($) {
  "use strict";

  $(document).ready(function($){

    var $body = $('body');

    $('#nav-toggle').on( 'click', function(e) {
      e.preventDefault();
      $( '.mobile-menu-wrapper' ).slideToggle(300);
    });

    $( '.primary-menu .menu-item-has-children > .ancestor-wrapper > a, .mobile-menu .menu-item-has-children > .ancestor-wrapper > a' ).on( 'click', function(e) {
      e.preventDefault();
      $(this).parents('.ancestor-wrapper').next('ul').slideToggle(200);
    });

    $('#search-toggle').on( 'click', function(e) {
      e.preventDefault();
      $body.toggleClass('search-open');
    });

    $('#close-search-modal, #search-modal').on( 'click', function(e) {
      e.preventDefault();
      $body.removeClass('search-open');
    });

    $("#search-modal .search-wrap").click(function(event) {
      event.stopPropagation();
    });

    var $postsGrid = $( '#posts-grid' );

    if( $.fn.masonry !== undefined && $postsGrid.length > 0 ) {
      $postsGrid.imagesLoaded( function() {           
        $postsGrid.masonry({
          itemSelector: '.hentry',
          isRTL: $body.hasClass( 'rtl' ) ? true : false,
          percentPosition: true
        });
      }); 
    }

    var $masonry_container = $( '.masonry-container' );

    if( $.fn.masonry !== undefined && $masonry_container.length ) {
      $masonry_container.imagesLoaded(function() {
        $masonry_container.masonry({
          itemSelector: '.gallery-item',
          isRTL: $body.hasClass( 'rtl' ) ? true : false
        });
      });
    }

    var $owl_container = $( '.owl-carousel' );

    if( $.fn.owlCarousel !== undefined && $owl_container.length ) {

      $owl_container.each( function() {
        var $owl = $(this),
            columns = $owl.attr( 'data-columns' );

        $owl.imagesLoaded(function() {
          $owl.owlCarousel({
            loop: true,
            margin: 10, 
            autoHeight: true, 
            smartSpeed: columns < 2 ? 600 : 300,
            dots: columns < 2 ? false : true,
            nav: columns < 2 ? true : false,
            rtl: $body.hasClass( 'rtl' ) ? true : false,
            navText : [ weelandVars.leftArrow, weelandVars.rightArrow ],
            responsive:{
                0:{
                  items: columns < 2 ? parseInt( columns ) : 2,
                  margin: 5
                },
                768:{
                  items: parseInt( columns )
                }
            }
          });
        });
      });
    }
  });
})(jQuery);