<?php
/**
 * The template for displaying image attachments
 *
 * @since Weeland 1.0
 */

get_header(); ?>

	<div id="primary" class="content-area">
		<main id="main" class="site-main">

			<?php while ( have_posts() ) : the_post(); ?>
			
				<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
          <div class="content-container">
            <div class="entry-attachment">
              <?php echo wp_get_attachment_image( get_the_ID(), 'weeland-full-width' ); ?>

              <?php if ( has_excerpt() ) : ?>
                <div class="entry-caption">
                  <?php the_excerpt(); ?>
                </div><!-- .entry-caption -->
              <?php endif; ?>
            </div><!-- .entry-attachment -->

            <header class="entry-header">
              <?php 
              the_title( '<h1 class="entry-title attachment-title">', '</h1>' );
              weeland_entry_meta( '<div class="entry-meta">', '</div>' ); 
              ?>
            </header><!-- .entry-header -->

            <?php if( get_the_content() ) : ?>
            <div class="entry-content">
              <?php
                the_content();
                
                wp_link_pages( array(
                  'before'      => '<div class="page-links"><span class="page-links-title">' . esc_html__( 'Pages:', 'weeland' ) . '</span>',
                  'after'       => '</div>',
                  'link_before' => '<span>',
                  'link_after'  => '</span>',
                  'pagelink'    => ' %',
                  'separator'   => ', ',
                ) );
              ?>
            </div><!-- .entry-content -->
            <?php endif; ?>
            
            <?php weeland_entry_footer( '<footer class="entry-footer">', '</footer>' ); ?>
          </div>
				</article><!-- #post-## -->
			
        <?php
					// If comments are open or we have at least one comment, load up the comment template
					if ( comments_open() || get_comments_number() ) :
						comments_template();
					endif;

				// End the loop.
				endwhile;
			?>

		</main><!-- .site-main -->
	</div><!-- .content-area -->

<?php get_footer(); ?>
