<?php
/**
 * The template used for displaying page content
 *
 * @since Weeland 1.0
 */
?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
  <div class="content-container">
    <?php 
    if( weeland_display_page_title() ) {
      the_title( '<header class="entry-header"><h1 class="entry-title">', '</h1></header>' ); 
    }
    ?>

    <?php weeland_post_thumbnail(); ?>

    <div class="entry-content">
      <?php 
        the_content();
        
        wp_link_pages( array(
          'before'      => '<div class="page-links"><span class="page-links-title">' . esc_html__( 'Pages:', 'weeland' ) . '</span>',
          'after'       => '</div>',
          'link_before' => '<span>',
          'link_after'  => '</span>',
          'pagelink'    => ' %',
          'separator'   => ', ',
        ) );
      ?>
    </div><!-- .entry-content -->
    
    <?php 
      $page_options = get_post_meta( $post->ID, 'weeland_page_options', true );
      $display_page_share_buttons = get_theme_mod( 'display_page_share_buttons', 1 ) && ( isset( $page_options['display_share_buttons'] ) ? $page_options['display_share_buttons'] : true );

      weeland_entry_footer( false, $display_page_share_buttons, '<footer class="entry-footer">', '</footer>' ); ?>
  </div>
</article><!-- #post-## -->
